Opened 8 years ago

Closed 7 years ago

Last modified 4 years ago

#1169 closed Task (fixed)

Branch for all LOCEAN 2013 developments

Reported by: cetlod Owned by: nemo
Priority: low Milestone:
Component: OCE Version: trunk
Severity: Keywords:
Cc:

Description

Create a branch for the merge of LOCEAN developments in 2013 :

  • dev_r3853_CNRS9_Confsetting
  • dev_r3940_CNRS4_IOCRS
  • dev_r4028_CNRS_LIM3

At the end, the branch must be rely on trunk revision 4119

Commit History (8)

ChangesetAuthorTimeChangeLog
4166cetlod2013-11-08T06:51:52+01:00

dev_LOCEAN_2013 : bugs corrections, see ticket #1169

4162cetlod2013-11-07T11:19:49+01:00

dev_LOCEAN_2013 : merge in trunk changes between r4028 and r4119, see ticket #1169

4161cetlod2013-11-07T11:01:27+01:00

dev_LOCEAN_2013 : merge in the 3rd dev branch dev_r4028_CNRS_LIM3, see ticket #1169

4153cetlod2013-11-05T13:25:45+01:00

dev_LOCEAN_2013: merge in trunk changes between r3940 and r4028, see ticket #1169

4152cetlod2013-11-05T12:59:53+01:00

merge in dev_LOCEAN_2013 the 2nd development branch dev_r3940_CNRS4_IOCRS, see ticket #1169

4148cetlod2013-11-04T13:54:28+01:00

merge in trunk changes between r3853 and r3940 and commit the changes, see ticket #1169

4147cetlod2013-11-04T12:51:55+01:00

merge in dev_LOCEAN_2013, the 1st development branch dev_r3853_CNRS9_Confsetting, from its starting point ( r3853 ) on the trunk: see ticket #1169

4146cetlod2013-11-04T12:19:08+01:00

Step 1: Created dev_LOCEAN_2013 merge branch, see ticket #1169

Change History (8)

comment:1 Changed 8 years ago by cetlod

Step 1 : Copy the trunk rev 3853 into LOCEAN branch

svn copy svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk -r 3853 \ 
         svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/branches/2013/dev_LOCEAN_2013 \ 
         -m "Step 1: Created dev_LOCEAN_2013 merge branch, see ticket #1169"

Step 2 : Check out branch the dev_LOCEAN_2013 and merge in the first development branch dev_r3853_CNRS9_Confsetting, from its starting point ( r3853 ) on the trunk

svn co svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/branches/2013/dev_LOCEAN_2013

svn merge svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@3853 svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/branches/2013/dev_r3853_CNRS9_ConfSetting dev_LOCEAN_2013

No conflicts !

comment:2 Changed 8 years ago by cetlod

Step 3 : merge in trunk changes between r3853 and r3940

cd dev_LOCEAN_2013

svn merge svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@3853 svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@3940 .

C NEMOGCM/CONFIG/GYRE/EXP00/iodef.xml

C NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
C NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top
C NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
C NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_ice_lim2
C NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_top
C NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist
C NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_top
C NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top
C NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
C NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_ice_lim2

C NEMOGCM/CONFIG/cfg.txt
C NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90
C NEMOGCM/NEMO/TOP_SRC/trcnam.F90
C NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90
C NEMOGCM/NEMO/SAS_SRC/sbcssm.F90
C NEMOGCM/NEMO/OFF_SRC/dtadyn.F90

comment:3 Changed 8 years ago by cetlod

Step 4 : merge in the 2nd development branch dev_r3940_CNRS4_IOCRS

svn merge svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@3940 svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/branches/2013/dev_r3940_CNRS4_IOCRS dev_LOCEAN_2013

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R1.h90

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R2.h90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R4.h90

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_oce.F90

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_GYRE.h90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_EEL_R2.h90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R05.h90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_EEL_R5.h90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_EEL_R6.h90

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R025.h90

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_AMM_12km.h90

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/step.F90
C dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
C dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
C dev_LOCEAN_2013/NEMOGCM/SETTE/sette.sh
C dev_LOCEAN_2013/NEMOGCM/SETTE/param.cfg

C dev_LOCEAN_2013/NEMOGCM/CONFIG/GYRE/EXP00/namelist
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
C dev_LOCEAN_2013/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist
C dev_LOCEAN_2013/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_top
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist
C dev_LOCEAN_2013/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_top
C dev_LOCEAN_2013/NEMOGCM/CONFIG/AMM12/EXP00/namelist
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist

comment:4 Changed 8 years ago by cetlod

Step 5 : merge in trunk changes between r3940 and r4028

cd dev_LOCEAN_2013

svn merge svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@3940 svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@4028  .

comment:5 Changed 8 years ago by cetlod

Step 5 : merge in the 3rd development branch dev_r4028_CNRS_LIM3

svn merge svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@4028 svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/branches/2013/dev_r4028_CNRS_LIM3 dev_LOCEAN_2013

C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_ice_lim2
C dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_ice_lim3

C dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
C dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90
C dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/ice.F90

C dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_3/limdia.F90

C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
C dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90

comment:6 Changed 8 years ago by cetlod

last step : merge in trunk changes between r4028 and r4119

cd dev_LOCEAN_2013

svn merge svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@4028 svn+ssh://cetlod@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/trunk@4119 ./

C NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
C NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90
C NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
C NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90

comment:7 Changed 7 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

comment:8 Changed 4 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.